@import "src/styles/base";

.contactItem {
  flex: 0 0 100%;
  position: relative;
  border-bottom: 1px solid $divider-color;
  max-width: 100%;
  @include md {
    flex: 0 0 calc(50% - 20px);
    max-width: calc(50% - 20px);
  }

  &.cardShowed {
    border-bottom: 1px solid transparent;
    background: rgba($accent-color, .1);
  }
}

.fullName {
  padding: 15px;
  cursor: pointer;

  &:hover, .cardShowed & {
    background: rgba($accent-color, .1);
    color: $accent-color;
  }

  span {
    text-transform: uppercase;
    font-weight: bold;
  }
}

.cardBox {
  position: relative;
  padding: 10px;
  pointer-events: none;
  @include md {
    position: absolute;
    z-index: 10;
    top: 100%;
    display: flex;
    background: rgba($accent-color, .1);
    min-width: $contact-card-width + 20px;
  }

  .contactItem:nth-child(odd) & {
    @include md {
      left: 0;
      right: auto;
      justify-content: flex-start;
    }
    @include lg {
      left: 0;
      right: 0;
    }
  }

  .contactItem:nth-child(even) & {
    @include md {
      right: 0;
      left: auto;
      justify-content: flex-end;
    }
    @include lg {
      left: 0;
      right: 0;
    }
  }
}
